> ## Documentation Index
> Fetch the complete documentation index at: https://doc.seerbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# OTP Momo

> When making MOMO transfers, and OTP is required to complete the payment



## OpenAPI

````yaml https://raw.githubusercontent.com/seerbit/openapi/master/specs/external-api.yml post /payments/momo/otp
openapi: 3.0.1
info:
  title: SeerBit API Reference
  contact: {}
  version: '1.0'
servers:
  - url: https://seerbitapi.com/api/v2
security: []
tags:
  - name: AUTHENTICATION
  - name: STANDARD CHECKOUT
  - name: ORDER CHECKOUT
  - name: PAYMENT METHOD
  - name: MOMO
  - name: NON 3DS PAYMENT
  - name: CARD
  - name: ACCOUNT
  - name: TOKENIZE
  - name: AUTHORISE
  - name: PREAUTHORIZATION
  - name: RECURRENT
paths:
  /payments/momo/otp:
    post:
      tags:
        - MOMO
      summary: OTP Momo
      description: When making MOMO transfers, and OTP is required to complete the payment
      operationId: OTPMomo
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OTPMomoRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
              examples:
                OTPMomoResponse:
                  $ref: '#/components/schemas/OTPMomoResponse'
                OTPMomoResponse1:
                  $ref: '#/components/examples/OTPMomoResponse1'
        '400':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OTPMomo400Response'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/404Response'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
              examples:
                500Response:
                  $ref: '#/components/examples/500Response'
      deprecated: false
      security:
        - Bearer: []
components:
  schemas:
    OTPMomoRequest:
      title: OTPMomoRequest
      required:
        - linkingReference
        - otp
      type: object
      properties:
        linkingReference:
          type: string
          description: This is the internal gateway reference
        otp:
          type: string
          description: This is the TOKEN sent to customer’s phone or email
      example:
        linkingReference: CF630837081601460887752
        otp: '81015'
    OTPMomoResponse:
      title: OTPMomoResponse
      type: object
      example:
        status: SUCCESS
        data:
          code: S20
          payments:
            paymentReference: O456S5077987982QWEuWAT05M
            linkingReference: CF580053381599564199316
          message: Transaction is pending
    OTPMomo400Response:
      title: OTPMomoResponse
      type: object
      example:
        message: Bad Request
        error: There has been a problem with reading or understanding the request.
  examples:
    OTPMomoResponse1:
      summary: An example of 403 response payload
      value:
        status: SUCCESS
        data:
          code: S12
          payments:
            reference: O456S5077907982QWEuWAT05M
            linkingreference: CF630837081601460887752
        message: Header Token Missing
    404Response:
      summary: An example of 404 response payload
      value:
        error: Not Found
    500Response:
      summary: An example of 500 response payload
      value:
        message: Internal Server Error
        error: PROCESSING
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.